%define name    slink
%define version 3.1.7
%define release 1

Summary: Slink and Control-A1/Control-S parallel port driver and utils
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: /sbin/chkconfig

%description 
The slink driver allows you to access via parellel port adaptor the 
slink control-A1 bus and the wired control-S (SIRCS) IR protocol.
Many Sony products use control-A1 for inter-device communiation.
This allows you to use your computer to issue commands and monitor 
responses from various models of Sony CD/DVD players and changers, 
receivers, VCRs, tape decks, and other similarly enabled products.

%prep
%setup -q
./autogen.sh
./configure --with-linux=/usr/src/linux-2.4

%build
make clean
make

%install
make install "DESTDIR=$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files -f modules
%defattr(-,root,root)
/etc/init.d/slink
/sbin/slink_cmd
/sbin/slink_remote.sh
/sbin/slink_validate
/sbin/slink_deduce
/sbin/slink_logger
/usr/share/man/man8/*

%doc

%post
/sbin/chkconfig --add slink
/sbin/chkconfig --level 2345 slink on

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del slink
fi

%postun
