#!/bin/sh

name=slink_remote
cmd=/sbin/slink_cmd
dev=0x90
op=none

usage () {
    echo $"usage: $name [a|b|c] <on|off|play|pause|stop|next|prev|"
    echo $"                             nextdisc|prevdisc|fadein|fadeout>"
    exit 1
}


if [ "$#" = 1 ]; then
    op=$1
else
    if [ "$#" = 2 ]; then
        case "$1" in
            a) dev=0x90 ;; A) dev=0x90 ;;
            b) dev=0x91 ;; B) dev=0x91 ;;
            c) dev=0x92 ;; C) dev=0x92 ;;
            *) usage ;;
        esac
        op=$2
    else
        usage
        exit 1
    fi
fi

case "$op" in
    on)        $cmd $dev 0x2E 0 >/dev/null ;;
    off)       $cmd $dev 0x2F 0 >/dev/null ;;
    play)      $cmd $dev 0x00 0 >/dev/null ;;
    pause)     $cmd $dev 0x02 0 >/dev/null ;;
    stop)      $cmd $dev 0x01 0 >/dev/null ;;
    next)      $cmd $dev 0x08 0 >/dev/null ;;
    prev)      $cmd $dev 0x09 0 >/dev/null ;;
    nextdisc)  $cmd $dev 0xE0 0x3E 0 >/dev/null ;;
    prevdisc)  $cmd $dev 0xE0 0x5E 0 >/dev/null ;;
    fadein)    $cmd $dev 0x2F 0x00 0 >/dev/null ;;
    fadeout)   $cmd $dev 0x5E 0x00 0 >/dev/null ;;
    *)         usage ;;
esac

exit 0 
